## GNOME Help Browser Documentation

The GNOME Help Browser is an interface to the various forms of documentation present on your computer, and from other computers via the Internet. This short document will describe the main features of the GNOME Help Browser.

### Command Line Options

      -d, --debug                Debug level, add more to increase level
      -h HEIGHT                  Height of window
      -w WIDTH                   Width of window
      -x X                       X position of window
      -y Y                       Y position of window
          --display=DISPLAY      X display to use
          --no-xshm              Don't use X shared memory extension
      -?, --help                 Give this help list
          --usage                Give a short usage message
      -V, --version              Print program version

### Menus

There are several menu entries for the GNOME Help Browser located at the top of the application window. Their behavior should be self-explanatory.

### Toolbar

The toolbar has several buttons to make using the Help Browser much more convenient. The Next and Prev button cause the browser to go back and forth through the history of the pages you have visited during this session. The Help button brings up this help. The History> button brings up a history of the sites you have visited, and the BMarks button brings up a bookmark listing of sites you've marked in the past.

### URL Entry Box

The entry box allows you to enter URL's directly. The Help Browser recognizes the following standard and 'magic' URL types:

http:
  Access document using HTTP transfer protocol.
  Examples are:
  - http://www.gnome.org
  - http://www.gnome.org/index.shtml
  - http://www.gnome.org/index.shtml#majic
file:
  Access file on the local filesystem.
  Examples are:
  - file:/home/msf/maji12.html
  - file:/usr/man/man1/ls.1
  - file:/usr/src/gogo/README
whatis:
  Do a subtring search of document names.
  Possible forms are:
  - whatis:ls
  - whatis:xman
toc:
  Load a table of contents of available documents.
  Possible forms are:
  - toc:
  - toc:man
  - toc:info
  - toc:ghelp
man:
  Load a manual page.
  Examples are:
  - man:ls
  - man:ls(1)
info:
  Load a GNU info page.
  Examples are:
  - info:emacs
  - info:emacs#Top
ghelp:
  Load a GNOME help for an application.
  NOTE:Not much documentation in this format exists currently.
  Examples are:
  - ghelp:help-browser

### Bookmark Window

The bookmark window lists all the bookmarks currently available. To add a bookmark use the Add Bookmark option under the File menu.

### History Window

The history window lists a history of the sites which have been visited over time. It has a maximum length configurable under the Settings menu.